]> arthur.barton.de Git - bup.git/blobdiff - cmd/init-cmd.py
Use absolute_import from the __future__ everywhere
[bup.git] / cmd / init-cmd.py
index 04f32484d6bd78a6ad2c37022e5ac8af6cedd6a8..412ecec1907e2f8b655acc356f1059b4d757419c 100755 (executable)
@@ -1,23 +1,36 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
+import sys
+
 from bup import git, options, client
-from bup.helpers import *
+from bup.helpers import log, saved_errors
+
 
 optspec = """
 [BUP_DIR=...] bup init [-r host:path]
 --
 r,remote=  remote repository path
 """
-o = options.Options('bup init', optspec)
+o = options.Options(optspec)
 (opt, flags, extra) = o.parse(sys.argv[1:])
 
 if extra:
     o.fatal("no arguments expected")
 
 
-if opt.remote:
+try:
     git.init_repo()  # local repo
+except git.GitError as e:
+    log("bup: error: could not init repository: %s" % e)
+    sys.exit(1)
+
+if opt.remote:
     git.check_repo_or_die()
     cli = client.Client(opt.remote, create=True)
     cli.close()
-else:
-    git.init_repo()